@echo off
rem set screen to black on white, clear the screen.
color f0
cls

rem Batch file to process ctd data with  
rem no Rosette
echo    -
echo    -
echo Whoopee, lets back up the data!!!!
echo    -
echo    -
echo This program will:
echo -Process the data in a standard method.
echo -
echo The cast %3 on cruise %2 is about to be processed.
echo If this is not correct, hit control c now.  Otherwise 
pause
cls

rem go.bat is this batch file.  Four replaceable parameters will be entered in 
rem the command line.  First is the name of the configuration file, second is
rem the number of the cruise, third is the number of the cast.  The fourth item
rem is the path to the text file needed by SBEBatch.  The processing is set up 
rem this way to provide a maximum of flexiblity without the need to change the 
rem basic setup.  Find more notes in the SSSG manual (if it ever gets written).
rem example:
rem go 172-05 17205 003 batch.txt
rem casts must be named in the same way.  The first cast would be
rem 17205001, the 2nd 17205002, and so on...

rem First, backup the raw data.  Confirm if overwriting, and verify.
rem copy c:\data\ctd\"cast number".* \\lima\science\ctd_backup\*.*
rem use .hdr, .dat, .con, .bl, or else repeated processing will fill the raw data 
rem dir on mike with processed data.

       copy /-y /v c:\data\ctd\%2%3.hdr   \\lima\science\ctd_backup\*.* 
       copy /-y /v c:\data\ctd\%2%3.dat   \\lima\science\ctd_backup\*.* 
       copy /-y /v c:\data\ctd\%2%3.con   \\lima\science\ctd_backup\*.* 
rem copy /-y /v c:\data\ctd\%2%3.bl      \\lima\science\ctd_backup\*.* 
       copy /-y /v c:\data\ctd\%2%3.nav   \\lima\science\ctd_backup\*.* 


rem Now, set the files to read only.
attrib +r \\lima\science\ctd_backup\%2%3.*


rem Process the data.  Call SeaBirds data processing software.

sbebatch c:\data\ctd\%4 %1 %2 %3 





